Subject: Re: Request for linux-next inclusion of the voyager tree

From: James Bottomley <[email-masked]>
Date: Thu, 11 Jun 2009 01:39:39 +0000

On Thu, 2009-06-11 at 11:35 +1000, Stephen Rothwell wrote:
> On Wed, 10 Jun 2009 18:53:31 +0200 Ingo Molnar <[email-masked]> wrote:
> >
> > * James Bottomley <[email-masked]> wrote:
> > > 
> > > OK, so this is an acceptable compromise for me too.
> > > 
> > > What I think now is needed (from me) are three patch sets:
> > > 
> > > 1. The final subarchitecture cleanups
> > > 2. The quirk model/smp ops additions
> > > 3. The voyager put back.
> > 
> > Yes, that looks fine.
> > 
> > You can have them in a single series for convenience if you want to 
> > (it's probably easier for you to test that way) - but 3 separate 
> > series are fine too, no strong preference either way - as long as 
> > the internal structure and details follows the ordering and 
> > parameters we outlined in previous mails.
> 
> OK, given this looks like a rewrite of the voyager tree, I will drop it
> from linux-next for a while.

Yes, I think that's the correct thing in the circumstances.

Thanks for running it through linux-next; it certainly turned up a
couple of problems I wouldn't have seen otherwise.

James